<?php
/**
* @Copyright Copyright (C) 2010 dhtmlx.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

/**
 This file is part of dhtmlxScheduler for Joomla.

    dhtmlxScheduler for Joomla is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    dhtmlxScheduler for Joomla is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with dhtmlxScheduler for Joomla.  If not, see <http://www.gnu.org/licenses/>.
**/

defined ('_JEXEC') or die();
jimport( 'joomla.application.component.model' );
require_once(JPATH_ROOT.DS.'components'.DS.'com_scheduler'.DS.'codebase'.DS.'dhtmlxSchedulerConfigurator.php');

class SchedulerModelScheduler extends JModel {
	var $scheduler_log = false;
	var $scheduler_debug = false;

	function getScheduler() {
		$document = & JFactory::getDocument();
		$locale = substr($document->language,0 ,2);

		$table = 'scheduler_options';
		$tableEvents = 'events_rec';
		$fieldName = 'name';
		$fieldValue = 'value';

		$url = JURI::root().'components/com_scheduler/codebase/';
		$loader_url = JURI::root()."index.php?option=com_scheduler&view=scheduler&task=loadxml&scheduler_events=";

		$cfg = new JConfig;
		$host = $cfg->host;
		$user = $cfg->user;
		$pass = $cfg->password;
		$db = $cfg->db;
		$prefix = $cfg->dbprefix;
		$userIdField = 'id';
		$userLoginField = 'username';
		$tableUsers = 'users';

		$curuser =& JFactory::getUser();
		$usertype = $this->getUser();
		$userid = $curuser->id;

		$res=mysql_connect($host,$user,$pass);
		mysql_select_db($db);

		$cfg = new SchedulerConfig('scheduler_config_xml', $res, $table, $fieldName, $fieldValue, $tableEvents, $userIdField, $userLoginField, $tableUsers, $prefix, $userid, true);
		$scheduler = $cfg->schedulerInit($usertype, $locale, $url, $loader_url);
		return $scheduler;
	}


	protected function getUser() {
		/*! in Joomla 1.6 user can have several groups with their permissions
		 * to detect one group we will use the highest groups
		 * the highest group is the last one.
		 */
		$user =& JFactory::getUser();
		$groups = $user->groups;
		$gr = Array();
		foreach ($groups as $k => $v)
			if ($v <= 8) $gr[$k] = $v;

		if (count($gr) > 0) {
			$groups = $gr;
			$keys = array_values($groups);
			$values = array_keys($groups);
			$groups = array_combine($keys, $values);
			$max = max($keys);
			$usertype = $groups[$max];
		} else {
			// this user type is used when user doesn't have any default type
			$usertype = 'custom';
		}


		switch($usertype) {
			case '':
				$usertype = 'guests';
				break;
			case 'Super Users':
				$usertype = 'superadministrator';
				break;
			default:
				$usertype = strtolower($usertype);
			}
		return $usertype;
	}
}